Portál AbcLinuxu, 31. července 2021 09:02




Dotaz: Upgrade PHP 4 na Sarge

12.9.2005 14:16 Koudis | Praha
Upgrade PHP 4 na Sarge
Přečteno: 37×
Odpovědět | Admin
Zdravim, uz vic jak tyden se snazim upragdnout php4. Nainstaloval jsem Sarge 3.1 behem instalace jsem zaskrtnul ze chci instalovat Web Server, Databaze atd. Pri teto instalaci je nainstalovan apache2 a php4. Ok, vsechno v poradku, ale pri teto standardni instalaci php nepodporuje glide knihovny pro praci s obrazky. Tak jsem se rozhodl php upgradnout. Stahnul jsem zdrojaky zkompiloval pomoci ./configure s parametrem pro --with-gd --enable-gd2 (nepamatuji si jiz presne parametry) pak jsem dal make a make install.. vse probehlo ok.. jenze php na apache se nezmenilo.. pak jsem zjistil ze v apache2 je php4 jako modul a domyslel jsem si ze muj postup upgrade php4 zrejme nevytvoril modul, ale je pouzitelny jen jako cgi. Pak jsem jeste nejak vykoumal ze asi budu potrebovat nastroje apxs2. Ty jsem doinstalil pomoci upgrade apache2 na apache2-dev a jeste jsem doinstalil balik debhelper, pac mi bylo nekde receno ze to mam zkusit pres debian/rules ale to uz jsem vubec nepochopil. doufam ze jsem to nenapsal moc zmatene, protoze uz si nevim rady. Proste chci po standardni instalaci sarge s apache2 a php4. Vytvorit novy modul php4 s podporou gd knihoven. Predem moc moc dekuji za rady.
Nástroje: Začni sledovat (1) ?Zašle upozornění na váš email při vložení nového komentáře.

Odpovědi

12.9.2005 16:34 secido
Rozbalit Rozbalit vše Re: Upgrade PHP 4 na Sarge
Odpovědět | | Sbalit | Link | Blokovat | Admin
apt get install php4-gd
12.9.2005 17:29 Koudis | Praha
Rozbalit Rozbalit vše Re: Upgrade PHP 4 na Sarge
tak to je ovsem ostry, ja se s tim s*ru tyden :) dik..

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267, (c) 1999-2007 Stickfish s.r.o.